.pretty-checkbox {
    position: relative;

    &__input {
        position: absolute;
        width: 0;
        height: 0;
        opacity: 0;


        &:checked + .pretty-checkbox__label {

            &::after {
                opacity: 1;
                border-top-style : none;
                border-right-style : none;
                transform : rotate(-45deg);
                height : rem(5);
                width : rem(10);
         //       border-color : #94959A;
                border-radius : 0;
                border-width : 1px;
                top : rem(5);
                left : rem(4);
            }
        }

        &:disabled + .pretty-checkbox__label {
            opacity: 0.4;
        }
    }

    &__label {
        color: #3a3a3a;
        font-size: rem(10);
        line-height: rem(16);
        position: relative;
        padding-left: rem(32);
        display: inline-block;

        &::before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: rem(18);
            height: rem(18);
            display: block;
            position: absolute;
            border: 1px solid #94959A;
            border-radius: rem(3);
        }

        &:after {
            z-index: 5;
            content : '';
            opacity: 0;
            height : rem(18);
            width : rem(18);
            border : 1px solid #94959A;
            position : absolute;
            border-radius : rem(4);
            top : 0;
            left : 0;
            -webkit-transition : 100ms ease-in-out;
            transition : 100ms ease-in-out;
        }

        a {
            color: $red;
            white-space: nowrap;
            display: inline-block;
            text-decoration: none;
            border-bottom: 1px dotted $red;
            transition: .3s;

            &:hover {
                color: $red;
                text-decoration: none;
                border-bottom-color: transparent;
                transition: .3s;
            }
        }
    }

    &--gray {

        .pretty-checkbox {

            &__label {
                color: #94959A;

                &:before {
                    background-color: $white;
                }

                &:after {

                }
            }
        }
    }

    &--white {

        .pretty-checkbox {

            &__label {
                color: $white;

                a {
                    color: $white;

                    &:hover {
                        color: $white;
                    }
                }

                &:before {
                    background-color: $white;
                }

                &:after {

                }
            }
        }
    }
}
